Linux repositories inspector

afnix - Compiler and run-time for the AFNIX programming language

AFNIX is a multi-threaded functional programming language with dynamic symbol bindings that support the object oriented paradigm. The language features a state of the art runtime engine. The distribution is available with several clients and a rich set of modules that are designed to be platform independent.
Original maintainer
Homepagehttp://www.afnix.org/
2.9.2
Ubuntu iconUbuntu 20.04
2.8.1
Debian iconDebian 10.0
Ubuntu iconUbuntu 18.04 LTS
Ubuntu iconUbuntu 18.10
Ubuntu iconUbuntu 19.04
Ubuntu iconUbuntu 19.10
2.8.0
Ubuntu iconUbuntu 17.10
2.6.3
Debian iconDebian 9.0
2.5.1
Ubuntu iconUbuntu 16.04 LTS
DistributionVersionSincePackageInstalledPackager
Debian iconDebian 10.0 buster/maindeb2.8.1-22019-01-122.46 MiB19.8 MiB
Debian iconDebian 9.0 stretch/maindeb2.6.3-1+b12017-11-102.28 MiB17.6 MiB
Ubuntu iconUbuntu 17.10 artful/universedeb2.8.0-32017-11-102.34 MiB18.9 MiB
Ubuntu iconUbuntu 18.04 LTS bionic/universedeb2.8.1-12017-11-222.39 MiB18.9 MiB
Ubuntu iconUbuntu 18.10 cosmic/universedeb2.8.1-22019-01-142.43 MiB19.6 MiB
Ubuntu iconUbuntu 19.04 disco/universedeb2.8.1-22019-01-142.43 MiB19.6 MiB
Ubuntu iconUbuntu 19.10 eoan/universedeb2.8.1-22019-06-172.43 MiB19.6 MiB
Ubuntu iconUbuntu 20.04 focal/universedeb2.9.2-2build12020-03-222.74 MiB21.9 MiB
Ubuntu iconUbuntu 16.04 LTS xenial/universedeb2.5.1-12017-11-102.13 MiB16.4 MiB

Manual pages

afnix::adp(1)

adp - afnix documentation processor

afnix::axp(1)

axp - afnix xml processor

axc(1)

axc - afnix cross compiler

axd(1)

axd - afnix cross debugger

axi(1)

axi - afnix cross interpreter

axl(1)

axl - afnix cross librarian

afnix-bce(3)

bce - standard block chain engineering service

afnix-csm(3)

csm - standard chaos session management service

afnix-gfx(3)

gfx - standard graph module

afnix-itu(3)

itu - standard telecom module

afnix-mth(3)

mth - standard math module

afnix-net(3)

net - standard networking module

afnix-nwg(3)

nwg - standard network working group module

afnix-sec(3)

sec - standard security module

afnix-sio(3)

sio - standard input/output module

afnix-sps(3)

sps - standard spreadsheet module

afnix-sys(3)

sys - standard system access module

afnix-txt(3)

txt - standard text processing module

afnix-wax(3)

wax - web application extension service

afnix-wgt(3)

wgt - standard widget module

afnix-xml(3)

xml - standard xml module

afnix-xpe(3)

xpe - xml processing environment service

afnix-guide(7)

vol-1 - afnix programmer’s guide

afnix-notes(7)

vol-0 - afnix installation guide

afnix-reference(7)

vol-2 - afnix reference manual

Latest updates

Ubuntu icon

Ubuntu 20.04 focal/universe: Updated from 2.9.2-2 to 2.9.2-2build1

2020-03-22
  • No-change rebuild for libgcc-s1 package name change.
Ubuntu icon

Ubuntu 20.04 focal-proposed/universe: Version 2.9.2-2build1 removed

2020-03-22
Ubuntu icon

Ubuntu 20.04 focal-proposed/universe: Version 2.9.2-2build1 introduced

2020-03-22
  • No-change rebuild for libgcc-s1 package name change.
Ubuntu icon

Ubuntu 20.04 focal/universe: Version 2.9.2-2 introduced

2020-01-07
  • Fix build with gcc-9 (Closes: #925628)
    • Add d/patches/use-dpkg-buildflags-for-gcc9.patch.
    • Add d/patches/Add-support-gcc9.patch.
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 2.8.1-2 reintroduced

2019-10-10
  • Update Vcs-Browser and Vcs-Git to salsa.
  • Update debhelper to 11.
  • Bump Standards-Version to 4.1.4.
  • Support gcc8. (Closes: #897700)
    • Add patches/use-dpkg-buildflags-for-gcc8.patch
    • Add patches/add-support-gcc8.patch
    • Add patches/Fix-build-with-Werror-restrict-of-gcc-8.patch
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 2.8.1-2 removed

2019-10-10
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 2.8.1-2 reintroduced

2019-10-10
  • Update Vcs-Browser and Vcs-Git to salsa.
  • Update debhelper to 11.
  • Bump Standards-Version to 4.1.4.
  • Support gcc8. (Closes: #897700)
    • Add patches/use-dpkg-buildflags-for-gcc8.patch
    • Add patches/add-support-gcc8.patch
    • Add patches/Fix-build-with-Werror-restrict-of-gcc-8.patch
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 2.8.1-2 removed

2019-10-10
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 2.8.1-2 reintroduced

2019-09-25
  • Update Vcs-Browser and Vcs-Git to salsa.
  • Update debhelper to 11.
  • Bump Standards-Version to 4.1.4.
  • Support gcc8. (Closes: #897700)
    • Add patches/use-dpkg-buildflags-for-gcc8.patch
    • Add patches/add-support-gcc8.patch
    • Add patches/Fix-build-with-Werror-restrict-of-gcc-8.patch
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 2.8.1-2 removed

2019-09-25
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 2.8.1-2 reintroduced

2019-09-25
  • Update Vcs-Browser and Vcs-Git to salsa.
  • Update debhelper to 11.
  • Bump Standards-Version to 4.1.4.
  • Support gcc8. (Closes: #897700)
    • Add patches/use-dpkg-buildflags-for-gcc8.patch
    • Add patches/add-support-gcc8.patch
    • Add patches/Fix-build-with-Werror-restrict-of-gcc-8.patch
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 2.8.1-2 removed

2019-09-25
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 2.8.1-2 reintroduced

2019-09-06
  • Update Vcs-Browser and Vcs-Git to salsa.
  • Update debhelper to 11.
  • Bump Standards-Version to 4.1.4.
  • Support gcc8. (Closes: #897700)
    • Add patches/use-dpkg-buildflags-for-gcc8.patch
    • Add patches/add-support-gcc8.patch
    • Add patches/Fix-build-with-Werror-restrict-of-gcc-8.patch
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 2.8.1-2 removed

2019-09-06
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 2.8.1-2 reintroduced

2019-09-06
  • Update Vcs-Browser and Vcs-Git to salsa.
  • Update debhelper to 11.
  • Bump Standards-Version to 4.1.4.
  • Support gcc8. (Closes: #897700)
    • Add patches/use-dpkg-buildflags-for-gcc8.patch
    • Add patches/add-support-gcc8.patch
    • Add patches/Fix-build-with-Werror-restrict-of-gcc-8.patch
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 2.8.1-2 removed

2019-09-06
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 2.8.1-2 reintroduced

2019-09-06
  • Update Vcs-Browser and Vcs-Git to salsa.
  • Update debhelper to 11.
  • Bump Standards-Version to 4.1.4.
  • Support gcc8. (Closes: #897700)
    • Add patches/use-dpkg-buildflags-for-gcc8.patch
    • Add patches/add-support-gcc8.patch
    • Add patches/Fix-build-with-Werror-restrict-of-gcc-8.patch
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 2.8.1-2 removed

2019-09-06
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 2.8.1-2 reintroduced

2019-09-06
  • Update Vcs-Browser and Vcs-Git to salsa.
  • Update debhelper to 11.
  • Bump Standards-Version to 4.1.4.
  • Support gcc8. (Closes: #897700)
    • Add patches/use-dpkg-buildflags-for-gcc8.patch
    • Add patches/add-support-gcc8.patch
    • Add patches/Fix-build-with-Werror-restrict-of-gcc-8.patch
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 2.8.1-2 removed

2019-09-06

Related packages

afnix-doc - Compiler and run-time for the AFNIX programming language (documentation)
⇧ Top